Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: DJ Delorie <[email-masked]>
Date: Mon, 25 Jan 2021 17:17:27 -0500

Eli Zaretskii <[email-masked]> writes:
> Thanks, but is it really a good idea to call malloc_trim each time we
> free some chunk of memory?

malloc_trim() is very expensive relative to free(), partly because of
what it needs to do, and partly because it flushes the fastbins cache.
If you call it every, say, 1000 iterations of free, that might suffice.
Or perhaps after each GC run.